Name: qmapshack
Version: 1.11.0
Release: 1%{?dist}
Summary: GPS mapping and management tool

Group: Applications/Communications
License: GPLv3+ and BSD
URL: https://bitbucket.org/maproom/qmapshack/wiki/Home
Source0: https://bitbucket.org/maproom/%{name}/downloads/%{name}-%{version}.tar.gz
# use planetsplitter from routino package
Patch0: %{name}-1.11.0-system-routino.patch
# revert to routino 3.0 API
Patch1: %{name}-1.11.0-routino30.patch
# https://bitbucket.org/maproom/qmt_rgb2pct/commits/12f534281a349d5c99e56e5495bfb98884d965ec
Patch2: %{name}-1.11.0-format-security.patch
# https://bitbucket.org/maproom/qmapshack/commits/df1bca10417090a9c1c2345cae6b03a2c6fc3ea4
Patch3: %{name}-1.11.0-qmt_map2jnx-manpage.patch
Requires: proj-epsg
%if 0%{?fedora}
Recommends: routino
Recommends: qmaptool
%else
Requires: routino
Requires: qmaptool
%endif

BuildRequires: gcc-c++
%if 0%{?rhel}
BuildRequires: cmake3
%else
BuildRequires: cmake
%endif
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5Script)
BuildRequires: pkgconfig(Qt5Sql)
BuildRequires: pkgconfig(Qt5WebKitWidgets)
BuildRequires: pkgconfig(Qt5UiTools)
BuildRequires: qt5-qttools-devel
BuildRequires: proj-devel
BuildRequires: gdal-devel
BuildRequires: zlib-devel
BuildRequires: routino-devel
BuildRequires: alglib-devel
BuildRequires: quazip-qt5-devel
BuildRequires: libjpeg-devel
BuildRequires: desktop-file-utils


%description
QMapShack provides a versatile tool for GPS maps in GeoTiff format as well as
Garmin's img vector map format. You can also view and edit your GPX tracks.
QMapShack is the successor of QLandkarteGT.

Main features:
- use of several work-spaces
- use several maps on a work-space
- handle data project-oriented
- exchange data with the device by drag-n-drop


%package -n qmaptool
Version: 1.0.0
Summary: Create raster maps from paper map scans
URL: https://bitbucket.org/maproom/qmaptool/wiki/Home

%description -n qmaptool
This is a tool to create raster maps from paper map scans. QMapTool can be
considered as a front-end to the well-known GDAL package. It complements
QMapShack.


%prep
%setup -q
%patch0 -p1
%if 0%{?rhel} || 0%{?fedora} < 26
# starting with F-26 we have routino 3.2
%patch1 -p1
%endif
%patch2 -p1
%patch3 -p1

# create build directory
mkdir build


%build
cd build
%if 0%{?rhel}
%cmake3 -DBUILD_SHARED_LIBS:BOOL=OFF ..
%else
%cmake -DBUILD_SHARED_LIBS:BOOL=OFF ..
%endif
make VERBOSE=1 %{?_smp_mflags}


%install
cd build
make install DESTDIR=%{buildroot}

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/qmaptool.desktop


%post
/usr/bin/update-desktop-database &> /dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :


%files
%license LICENSE
%doc changelog.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/QMapShack.*
%{_datadir}/pixmaps/QMapShack.png
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.*

%files -n qmaptool
%{_bindir}/qmaptool
%{_bindir}/qmt_*
%{_datadir}/applications/qmaptool.desktop
%{_datadir}/icons/hicolor/*/apps/QMapTool.*
%{_datadir}/pixmaps/QMapTool.png
%{_datadir}/qmaptool/
%{_datadir}/qmt_*/
%{_mandir}/man1/qmaptool.*
%{_mandir}/man1/qmt_*.*


%changelog
* Mon Mar 12 2018 Dan Horák <dan@danny.cz> - 1.11.0-1
- update to 1.11.0 (#1551560)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Dec 31 2017 Sandro Mani <manisandro@gmail.com> - 1.10.0-2
- Rebuild (alglib)

* Thu Dec 21 2017 Dan Horák <dan@danny.cz> - 1.10.0-1
- update to 1.10.0 (#1528494)

* Mon Sep 18 2017 Dan Horák <dan@danny.cz> - 1.9.1-1
- update to 1.9.1 (#1492506)

* Thu Aug 24 2017 Sandro Mani <manisandro@gmail.com> - 1.9.0-2
- Rebuild (alglib)

* Wed Aug 02 2017 Dan Horák <dan@danny.cz> - 1.9.0-1
- update to 1.9.0 (#1474557)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon May 15 2017 Dan Horák <dan@danny.cz> - 1.8.1-1
- update to 1.8.1 (#1450653)

* Fri May 12 2017 Sandro Mani <manisandro@gmail.com> - 1.8.0-2
- Rebuild (alglib)

* Mon Mar 27 2017 Dan Horák <dan@danny.cz> - 1.8.0-1
- update to 1.8.0

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jan 31 2017 Dan Horák <dan@danny.cz> - 1.7.2-2
- Rebuilt for proj 4.9.3

* Tue Dec 13 2016 Dan Horák <dan[at]danny.cz> - 1.7.2-1
- update to 1.7.2

* Tue Sep 13 2016 Dan Horák <dan[at]danny.cz> - 1.7.1-1
- update to 1.7.1

* Tue Sep 13 2016 Dan Horák <dan[at]danny.cz> - 1.7.0-1
- update to 1.7.0

* Thu Jul 14 2016 Dan Horák <dan[at]danny.cz> - 1.6.3-1
- update to 1.6.3

* Mon Jul 04 2016 Dan Horák <dan[at]danny.cz> - 1.6.2-1
- update to 1.6.2

* Mon Mar 28 2016 Dan Horák <dan[at]danny.cz> - 1.6.1-1
- update to 1.6.1

* Fri Feb 26 2016 Dan Horák <dan[at]danny.cz> - 1.6.0-1
- update to 1.6.0

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Nov 22 2015 Dan Horák <dan[at]danny.cz> - 1.5.1-1
- update to 1.5.1

* Thu Nov 12 2015 Dan Horák <dan[at]danny.cz> - 1.4.0-1
- update to 1.4.0

* Mon Jul 27 2015 Dan Horák <dan@danny.cz> - 1.3.0-2
- rebuild for GDAL 2.0

* Thu Jul 02 2015 Dan Horák <dan[at]danny.cz> - 1.3.0-1
- update to 1.3.0

* Wed Jun 24 2015 Dan Horák <dan[at]danny.cz> - 1.2.2-1
- update to 1.2.2
- add missing desktop-database scriptlets
- fix license tag

* Tue Apr 14 2015 Dan Horák <dan[at]danny.cz> - 1.2.0-1
- update to 1.2.0

* Sun Apr 05 2015 Dan Horák <dan[at]danny.cz> - 1.1.0-1
- initial Fedora version
